tt_spec_write(library call)

NAME
tt_spec_write — write the spec and any associated properties to the ToolTalk database

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_spec_write(
const char *objid);

DESCRIPTION

The tt_spec_write function writes the spec and any associated properties to the ToolTalk database. The type must be set before the spec is written for the first time.

The objid argument is the identifier of the object involved in this operation.

RETURN VALUE

Upon successful completion, the tt_spec_write function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

APPLICATION USAGE

It is not necessary to perform a write operation after a destroy operation.

Several changes can be batched between write calls; for example, the application can create an object spec, set some properties, and then write all the changes at once with one write call.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_spec_create(3), tt_spec_type_set(3).